# Class: Concurrent::ErlangActor::Down

Inherits:
  Object
  - Object
  - Concurrent::ErlangActor::Down
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb

## Overview

A message send by a monitored actor when terminated.

## Instance Attribute Summary collapse

- #from ⇒ Pid readonly
- #info ⇒ Object readonly
- #reference ⇒ Reference readonly

## Instance Method Summary collapse

- #==(o) ⇒ true, false (also: #eql?)
- #hash ⇒ Integer
- #to_ary ⇒ ::Array(Pis, Reference, Object)

## Instance Attribute Details

### #from ⇒ `Pid` (readonly)

Returns:

- (`Pid`)

    1461
    1462
    1463

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1461

    def from
      @from
    end

### #info ⇒ `Object` (readonly)

Returns:

- (`Object`)

    1465
    1466
    1467

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1465

    def info
      @info
    end

### #reference ⇒ `Reference` (readonly)

Returns:

- (`Reference`)

    1463
    1464
    1465

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1463

    def reference
      @reference
    end

## Instance Method Details

### #==(o) ⇒ `true`, `false` Also known as: eql?

Returns:

- (`true`, `false`)

    1480
    1481
    1482

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1480

    def ==(o)
      o.class == self.class && o.from == @from && o.reference == @reference && o.info == @info
    end

### #hash ⇒ `Integer`

Returns:

- (`Integer`)

    1487
    1488
    1489

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1487

    def hash
      to_ary.hash
    end

### #to_ary ⇒ `::Array(Pis, Reference, Object)`

Returns:

- (`::Array(Pis, Reference, Object)`)

    1475
    1476
    1477

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 1475

    def to_ary
      [@from, @reference, @info]
    end